<?php
/* Inspired from autoload from version 0.9.3 */

require_once 'SebastianBergmann/FinderFacade/autoload.php';
require_once 'SebastianBergmann/Version/autoload.php';
require_once 'PHP/Token/Stream/Autoload.php';
require_once 'PHP/Timer/Autoload.php';
require_once 'Symfony/Component/Console/autoloader.php';

spl_autoload_register(
  function ($class)
  {
    static $classes = NULL;
    static $path = NULL;

    if ($classes === NULL) {
        $classes = array(
          'sebastianbergmann\\phpdcd\\analyser' => '/Analyser.php',
                'sebastianbergmann\\phpdcd\\cli\\application' => '/CLI/Application.php',
                'sebastianbergmann\\phpdcd\\cli\\command' => '/CLI/Command.php',
                'sebastianbergmann\\phpdcd\\detector' => '/Detector.php',
                'sebastianbergmann\\phpdcd\\log\\text' => '/Log/Text.php'
        );

        $path = dirname(__FILE__);
    }

    $cn = strtolower($class);

    if (isset($classes[$cn])) {
        require $path . $classes[$cn];
    }
  }
);
